#ifndef FOUND_GTK3_ENUMS_H
#define FOUND_GTK3_ENUMS_H

typedef enum
{
    GTK_WIDGET_ATTENTION_NONE,          //None any attentive style.
    GTK_WIDGET_ATTENTION_SUGGESTED,     //suggested action, used for GtkButton.
    GTK_WIDGET_ATTENTION_DESTRUCTIVE,   //destructive  action, used for GtkButton.
    GTK_WIDGET_ATTENTION_IMPORTANT,     //important action or message shown, used for GtkButton.
    GTK_WIDGET_ATTENTION_WARNING,       //warnings text shown, used for GtkLabel.
    GTK_WIDGET_ATTENTION_ERROR,         //errors text shown, used for GtkLabel.
    GTK_WIDGET_ATTENTION_SUCCESS,       //success text shown, used for GtkLabel.
} GtkWidgetAttentionStyle;

#endif
